Name:		rawstudio
Version:	1.2
Release:	%mkrel 4
Summary:	Graphical tool to convert raw images of digital cameras
Group:		Graphics
URL:		http://rawstudio.org/
Source0:	http://rawstudio.org/files/release/%{name}-%{version}.tar.gz
Patch0:		rawstudio-1.2-fix-str-fmt.patch
Patch1:		rawstudio-1.2-glibc-2.10.patch
License:	GPLv2
BuildRequires:	gtk+2-devel libjpeg-devel libGConf2-devel
BuildRequires:	libtiff-devel zlib-devel lcms-devel imagemagick
BuildRequires:	libexiv-devel
Buildroot:	%_tmppath/%name-%version-%release-root

%description
Rawstudio is an open source raw-image converter written in GTK+.

Features:
* Reads all dcraw supported formats
* Internal 16bit rgb
* Various post-shot controls (white balance, saturation and exposure
  compensation among others)
* Realtime histogram
* Optimized for MMX, 3dnow! and SSE (detected runtime)
* Easy sorting of images
* Fullscreen mode for better overview

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -fr %buildroot

%makeinstall_std
%find_lang %{name}

install -d %buildroot%{_datadir}/icons/{large,mini}

convert pixmaps/rawstudio.png -resize 32x32 %buildroot%{_iconsdir}/%{name}.png
convert pixmaps/rawstudio.png -resize 16x16 %buildroot%{_miconsdir}/%{name}.png
cp pixmaps/rawstudio.png %buildroot%{_liconsdir}/%{name}.png

%clean
rm -fr %buildroot

%if %mdkversion < 200900
%post
%update_desktop_database
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%doc README
%_bindir/*
%_datadir/applications/*
%_datadir/pixmaps/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_datadir/%name/rawstudio.gtkrc
%_datadir/%name/ui.xml


%changelog
* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 1.2-4mdv2010.1
+ Revision: 492264
- rebuild for libjpeg v8

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2-3mdv2010.1
+ Revision: 484209
- Rebuild for new libexiv2

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 1.2-2mdv2010.0
+ Revision: 420217
- fix build with newer glibc
- rebuild for new libjpeg v7

* Wed May 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.2-1mdv2010.0
+ Revision: 372739
- Update to new version 1.2
- Update -Werror=format-security patch

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 1.1-2mdv2009.1
+ Revision: 324541
- fix str fmt

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Oct 10 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1-1mdv2009.1
+ Revision: 291637
- Add BuildRequires libexiv-devel
- update to new version 1.1

* Thu Aug 07 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0-1mdv2009.0
+ Revision: 266849
- Update to new version 1.0
- Add translations and a few other files

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-4mdv2009.0
+ Revision: 260074
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-3mdv2009.0
+ Revision: 247898
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 25 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7-1mdv2008.1
+ Revision: 175066
- New upstream version
- New license policy
- Remove extension from Icon line in desktop file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-1mdv2008.0
+ Revision: 69136
- Fix BR for x86-64
- Import rawstudio

